Page MenuHomePhabricator

[mlir] Use mlir::OpState::operator->() to get to methods of mlir::Operation.
ClosedPublic

Authored by csigg on Dec 11 2020, 2:43 AM.

Diff Detail

Unit TestsFailed

TimeTest
170 msx64 debian > MLIR.mlir-tblgen::op-attribute.td
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/llvm-project/build/bin/mlir-tblgen -gen-op-decls -I /mnt/disks/ssd0/agent/llvm-project/mlir/test/mlir-tblgen/../../include /mnt/disks/ssd0/agent/llvm-project/mlir/test/mlir-tblgen/op-attribute.td | /mnt/disks/ssd0/agent/llvm-project/build/bin/FileCheck /mnt/disks/ssd0/agent/llvm-project/mlir/test/mlir-tblgen/op-attribute.td --check-prefix=DECL
80 msx64 windows > LLVM.CodeGen/XCore::threads.ll
Script: -- : 'RUN: at line 1'; c:\ws\w16-1\llvm-project\premerge-checks\build\bin\llc.exe -march=xcore < C:\ws\w16-1\llvm-project\premerge-checks\llvm\test\CodeGen\XCore\threads.ll | c:\ws\w16-1\llvm-project\premerge-checks\build\bin\filecheck.exe C:\ws\w16-1\llvm-project\premerge-checks\llvm\test\CodeGen\XCore\threads.ll
270 msx64 windows > MLIR.mlir-tblgen::op-attribute.td
Script: -- : 'RUN: at line 1'; c:\ws\w16-1\llvm-project\premerge-checks\build\bin\mlir-tblgen.exe -gen-op-decls -I C:\ws\w16-1\llvm-project\premerge-checks\mlir\test\mlir-tblgen/../../include C:\ws\w16-1\llvm-project\premerge-checks\mlir\test\mlir-tblgen\op-attribute.td | c:\ws\w16-1\llvm-project\premerge-checks\build\bin\filecheck.exe C:\ws\w16-1\llvm-project\premerge-checks\mlir\test\mlir-tblgen\op-attribute.td --check-prefix=DECL

Event Timeline

csigg created this revision.Dec 11 2020, 2:43 AM
csigg requested review of this revision.Dec 11 2020, 2:43 AM

Seems like a related test failure in mlir-tblgen::op-attribute.td ?

csigg updated this revision to Diff 311367.Dec 11 2020, 10:38 PM

Fix op-attribute.td test.

csigg updated this revision to Diff 311371.Dec 12 2020, 1:51 AM

More fixes.

mehdi_amini added inline comments.Dec 12 2020, 9:47 AM
mlir/include/mlir/Dialect/Affine/IR/AffineOps.h
110

Nit: getOperation() may be more friendly to read than (*this)

mehdi_amini accepted this revision.Dec 12 2020, 9:47 AM
This revision is now accepted and ready to land.Dec 12 2020, 9:47 AM
csigg added inline comments.Dec 13 2020, 12:46 AM
mlir/include/mlir/Dialect/Affine/IR/AffineOps.h
110

I also don't really like to read (*this)-> or (*it)->, but I thought it's a personal quirk and switched from getOperation()-> when River suggested it here. It probably makes sense to keep it consistent.

This revision was landed with ongoing or failed builds.Dec 13 2020, 12:58 AM
This revision was automatically updated to reflect the committed changes.